# Generated from microformats-4.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name microformats

Name: rubygem-%{gem_name}
Version: 4.3.1
Release: 1%{?dist}
Summary: Microformats2 and classic microformats parser
License: CC0-1.0
URL: https://github.com/microformats/microformats-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
BuildRequires: ruby < 3.1
# BuildRequires: rubygem(guard-rspec) >= 4.7
# BuildRequires: rubygem(guard-rspec) < 5
# BuildRequires: rubygem(rb-fsevent) >= 0.10.3
# BuildRequires: rubygem(rb-fsevent) < 0.11
# BuildRequires: rubygem(rspec) >= 3.8
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.74.0
# BuildRequires: rubygem(rubocop) < 0.75
# BuildRequires: rubygem(rubocop-rspec) >= 1.35
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(simplecov) >= 0.17.0
# BuildRequires: rubygem(simplecov) < 0.18
# BuildRequires: rubygem(simplecov-console) >= 0.5.0
# BuildRequires: rubygem(simplecov-console) < 0.6
# BuildRequires: rubygem(webmock) >= 3.6
# BuildRequires: rubygem(webmock) < 4
BuildArch: noarch

%description
A Ruby gem to parse HTML containing microformats2 and classic microformats
that returns a collection of dynamically defined Ruby objects, a Ruby hash, or
a JSON hash.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/microformats
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rubocop
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/.simplecov
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/logo.svg
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/microformats.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 4.3.1-1
- Initial package
